package eswtshowcase;

import eswtshowcase.modules.DemoModule;
import org.eclipse.ercp.swt.mobile.ListBoxItem;
import org.eclipse.swt.widgets.Shell;

/**
 * A custom ListBoxItem to hold our DemoModules
 */
public class DemoModuleListBoxItem extends ListBoxItem {
    private DemoModule module;
    
    public DemoModuleListBoxItem(DemoModule module){
        super(module.getDescription(), null, module.getTitle(), null);
        
        this.module = module;
    }
    
    public void runDemo(Shell parent){
        module.runDemo(parent);
    }
}
